From 8559fcaaaa5964e78c41fcdc2955fbaf38963116 Mon Sep 17 00:00:00 2001
From: Daniel T Chen <crimsun@ubuntu.com>
Date: Thu, 14 Jan 2010 06:53:24 -0500
Subject: [PATCH] v2: ALSA: hda: Use BIOS autoprobe for another Sony VAIO model
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Christian reported[0] that his laptop does not have audible capture by
default. Debugging the symptom revealed that his model needs the auto
quirk, so add his SSID to alc262_cfg_tbl[].

[0] http://mailman.alsa-project.org/pipermail/alsa-devel/2010-January/024327.html

Cc: <stable@kernel.org>
Tested-by: Christian Stöveken <christian.stoeveken@gmail.com>
Signed-off-by: Daniel T Chen <crimsun@ubuntu.com>
---
 sound/pci/hda/patch_realtek.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

diff --git a/sound/pci/hda/patch_realtek.c b/sound/pci/hda/patch_realtek.c
index 301b147..c065b17 100644
--- a/sound/pci/hda/patch_realtek.c
+++ b/sound/pci/hda/patch_realtek.c
@@ -11753,6 +11753,7 @@ static struct snd_pci_quirk alc262_cfg_tbl[] = {
 	SND_PCI_QUIRK(0x104d, 0x9016, "Sony VAIO", ALC262_AUTO), /* dig-only */
 	SND_PCI_QUIRK(0x104d, 0x9025, "Sony VAIO Z21MN", ALC262_TOSHIBA_S06),
 	SND_PCI_QUIRK(0x104d, 0x9035, "Sony VAIO VGN-FW170J", ALC262_AUTO),
+	SND_PCI_QUIRK(0x104d, 0x9039, "Sony VAIO VGN-P11Z_G", ALC262_AUTO),
 	SND_PCI_QUIRK(0x104d, 0x9047, "Sony VAIO Type G", ALC262_AUTO),
 #if 0 /* disable the quirk since model=auto works better in recent versions */
 	SND_PCI_QUIRK_MASK(0x104d, 0xff00, 0x9000, "Sony VAIO",
-- 
1.6.5
